Create Dedicated Endpoint
curl --request POST \
--url https://api.tokenfactory.nebius.com/v0/dedicated_endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model_name": "<string>",
"flavor_name": "<string>",
"gpu_count": 1,
"scaling": {
"min_replicas": 2,
"max_replicas": 2
},
"description": "",
"custom_weights_id": "<string>"
}
'import requests
url = "https://api.tokenfactory.nebius.com/v0/dedicated_endpoints"
payload = {
"name": "<string>",
"model_name": "<string>",
"flavor_name": "<string>",
"gpu_count": 1,
"scaling": {
"min_replicas": 2,
"max_replicas": 2
},
"description": "",
"custom_weights_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model_name: '<string>',
flavor_name: '<string>',
gpu_count: 1,
scaling: {min_replicas: 2, max_replicas: 2},
description: '',
custom_weights_id: '<string>'
})
};
fetch('https://api.tokenfactory.nebius.com/v0/dedicated_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"routing_key": "<string>",
"model_name": "<string>",
"flavor_name": "<string>",
"region": "<string>",
"gpu_count": 123,
"custom_weights_id": "<string>",
"scaling": {
"min_replicas": 2,
"max_replicas": 2
},
"deployment": {
"ready_replicas": 123
},
"created_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}dedicated-endpoints
Create Dedicated Endpoint
POST
/
v0
/
dedicated_endpoints
Create Dedicated Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Project ID to create endpoint
Body
application/json
Required string length:
1 - 100Minimum string length:
1Minimum string length:
1Available options:
gpu-l40s-d, gpu-l40s-a, gpu-h100-sxm, gpu-h200-sxm, gpu-b200-sxm, gpu-b200-sxm-a, gpu-b300-sxm Available options:
eu-north1, man-ik8s, us-central1, us-north1, eu-west1, eu-west2, me-west1, uk-south1, tf-eu1, tf-uk1, tf-us1, tf-us2, tf-us3, tf-us4, tf-ca1 Required range:
x >= 0Show child attributes
Show child attributes
Maximum string length:
500Minimum string length:
1Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I